/*
 * Code for class EV_KEY_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F409_7091(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7092(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7093(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7094(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7095(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7096(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7097(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7098(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7099(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7100(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7101(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7102(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7103(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7104(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7105(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7106(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7107(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7108(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7109(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7110(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7111(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7112(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7113(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7114(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7115(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7116(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7117(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7118(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7119(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7120(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7121(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7122(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7123(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7124(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7125(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7126(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7127(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7128(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7129(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7130(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7131(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7132(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7133(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7134(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7135(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7136(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7137(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7138(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7139(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7140(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7141(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7142(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7143(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7144(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7145(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7146(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7147(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7148(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7149(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7150(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7151(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7152(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7153(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7154(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7155(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7156(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7157(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7158(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7159(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7160(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7161(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7162(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7163(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7164(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7165(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7166(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7167(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7168(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7169(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7170(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7171(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7172(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7173(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7174(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7175(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7176(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7177(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7178(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7179(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7180(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7181(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7182(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7183(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7184(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7185(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7186(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7187(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7188(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7189(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7190(EIF_REFERENCE);
extern EIF_TYPED_VALUE F409_7191(EIF_REFERENCE, EIF_TYPED_VALUE);
extern EIF_TYPED_VALUE F409_7192(EIF_REFERENCE, EIF_TYPED_VALUE);
extern void EIF_Minit409(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_KEY_CONSTANTS}.key_0 */
EIF_TYPED_VALUE F409_7091 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_1 */
EIF_TYPED_VALUE F409_7092 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_2 */
EIF_TYPED_VALUE F409_7093 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_3 */
EIF_TYPED_VALUE F409_7094 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_4 */
EIF_TYPED_VALUE F409_7095 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_5 */
EIF_TYPED_VALUE F409_7096 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_6 */
EIF_TYPED_VALUE F409_7097 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 7L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_7 */
EIF_TYPED_VALUE F409_7098 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_8 */
EIF_TYPED_VALUE F409_7099 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 9L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_9 */
EIF_TYPED_VALUE F409_7100 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 10L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_0 */
EIF_TYPED_VALUE F409_7101 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 11L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_1 */
EIF_TYPED_VALUE F409_7102 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_2 */
EIF_TYPED_VALUE F409_7103 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 13L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_3 */
EIF_TYPED_VALUE F409_7104 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 14L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_4 */
EIF_TYPED_VALUE F409_7105 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 15L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_5 */
EIF_TYPED_VALUE F409_7106 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_6 */
EIF_TYPED_VALUE F409_7107 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 17L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_7 */
EIF_TYPED_VALUE F409_7108 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 18L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_8 */
EIF_TYPED_VALUE F409_7109 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 19L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_9 */
EIF_TYPED_VALUE F409_7110 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 20L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_add */
EIF_TYPED_VALUE F409_7111 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 21L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_divide */
EIF_TYPED_VALUE F409_7112 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 22L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_multiply */
EIF_TYPED_VALUE F409_7113 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 23L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_num_lock */
EIF_TYPED_VALUE F409_7114 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 24L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_subtract */
EIF_TYPED_VALUE F409_7115 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 25L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_numpad_decimal */
EIF_TYPED_VALUE F409_7116 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 26L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f1 */
EIF_TYPED_VALUE F409_7117 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 27L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f2 */
EIF_TYPED_VALUE F409_7118 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 28L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f3 */
EIF_TYPED_VALUE F409_7119 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 29L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f4 */
EIF_TYPED_VALUE F409_7120 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 30L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f5 */
EIF_TYPED_VALUE F409_7121 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 31L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f6 */
EIF_TYPED_VALUE F409_7122 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f7 */
EIF_TYPED_VALUE F409_7123 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 33L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f8 */
EIF_TYPED_VALUE F409_7124 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 34L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f9 */
EIF_TYPED_VALUE F409_7125 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 35L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f10 */
EIF_TYPED_VALUE F409_7126 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 36L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f11 */
EIF_TYPED_VALUE F409_7127 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 37L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f12 */
EIF_TYPED_VALUE F409_7128 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 38L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_space */
EIF_TYPED_VALUE F409_7129 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 39L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_back_space */
EIF_TYPED_VALUE F409_7130 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 40L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_enter */
EIF_TYPED_VALUE F409_7131 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 41L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_escape */
EIF_TYPED_VALUE F409_7132 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 42L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_tab */
EIF_TYPED_VALUE F409_7133 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 43L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_pause */
EIF_TYPED_VALUE F409_7134 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 44L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_caps_lock */
EIF_TYPED_VALUE F409_7135 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 45L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_scroll_lock */
EIF_TYPED_VALUE F409_7136 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 46L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_comma */
EIF_TYPED_VALUE F409_7137 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 47L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_equal */
EIF_TYPED_VALUE F409_7138 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 48L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_period */
EIF_TYPED_VALUE F409_7139 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 49L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_semicolon */
EIF_TYPED_VALUE F409_7140 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 50L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_open_bracket */
EIF_TYPED_VALUE F409_7141 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 51L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_close_bracket */
EIF_TYPED_VALUE F409_7142 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 52L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_slash */
EIF_TYPED_VALUE F409_7143 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 53L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_backslash */
EIF_TYPED_VALUE F409_7144 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 54L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_quote */
EIF_TYPED_VALUE F409_7145 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 55L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_backquote */
EIF_TYPED_VALUE F409_7146 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 56L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_dash */
EIF_TYPED_VALUE F409_7147 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 57L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_up */
EIF_TYPED_VALUE F409_7148 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 58L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_down */
EIF_TYPED_VALUE F409_7149 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 59L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_left */
EIF_TYPED_VALUE F409_7150 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 60L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_right */
EIF_TYPED_VALUE F409_7151 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 61L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_page_up */
EIF_TYPED_VALUE F409_7152 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 62L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_page_down */
EIF_TYPED_VALUE F409_7153 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 63L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_home */
EIF_TYPED_VALUE F409_7154 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 64L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_end */
EIF_TYPED_VALUE F409_7155 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 65L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_insert */
EIF_TYPED_VALUE F409_7156 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 66L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_delete */
EIF_TYPED_VALUE F409_7157 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 67L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_a */
EIF_TYPED_VALUE F409_7158 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 68L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_b */
EIF_TYPED_VALUE F409_7159 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 69L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_c */
EIF_TYPED_VALUE F409_7160 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 70L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_d */
EIF_TYPED_VALUE F409_7161 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 71L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_e */
EIF_TYPED_VALUE F409_7162 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 72L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_f */
EIF_TYPED_VALUE F409_7163 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 73L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_g */
EIF_TYPED_VALUE F409_7164 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 74L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_h */
EIF_TYPED_VALUE F409_7165 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 75L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_i */
EIF_TYPED_VALUE F409_7166 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 76L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_j */
EIF_TYPED_VALUE F409_7167 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 77L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_k */
EIF_TYPED_VALUE F409_7168 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 78L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_l */
EIF_TYPED_VALUE F409_7169 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 79L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_m */
EIF_TYPED_VALUE F409_7170 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 80L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_n */
EIF_TYPED_VALUE F409_7171 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 81L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_o */
EIF_TYPED_VALUE F409_7172 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 82L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_p */
EIF_TYPED_VALUE F409_7173 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 83L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_q */
EIF_TYPED_VALUE F409_7174 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 84L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_r */
EIF_TYPED_VALUE F409_7175 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 85L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_s */
EIF_TYPED_VALUE F409_7176 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 86L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_t */
EIF_TYPED_VALUE F409_7177 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 87L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_u */
EIF_TYPED_VALUE F409_7178 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 88L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_v */
EIF_TYPED_VALUE F409_7179 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 89L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_w */
EIF_TYPED_VALUE F409_7180 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 90L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_x */
EIF_TYPED_VALUE F409_7181 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 91L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_y */
EIF_TYPED_VALUE F409_7182 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 92L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_z */
EIF_TYPED_VALUE F409_7183 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 93L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_shift */
EIF_TYPED_VALUE F409_7184 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 94L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_ctrl */
EIF_TYPED_VALUE F409_7185 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 95L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_alt */
EIF_TYPED_VALUE F409_7186 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 96L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_left_meta */
EIF_TYPED_VALUE F409_7187 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 97L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_right_meta */
EIF_TYPED_VALUE F409_7188 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 98L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_menu */
EIF_TYPED_VALUE F409_7189 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 99L);
	return r;
}

/* {EV_KEY_CONSTANTS}.key_strings */
RTOID (F409_7190)
EIF_TYPED_VALUE F409_7190 (EIF_REFERENCE Current)
{
	GTCX
	char *l_feature_name = "key_strings";
	RTEX;
	EIF_TYPED_VALUE ur1x = {{0}, SK_REF};
#define ur1 ur1x.it_r
	EIF_TYPED_VALUE ui4_1x = {{0}, SK_INT32};
#define ui4_1 ui4_1x.it_i4
	EIF_TYPED_VALUE ui4_2x = {{0}, SK_INT32};
#define ui4_2 ui4_2x.it_i4
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	RTCDD;
	RTSN;
	RTDA;
	RTLD;
	
#define Result RTOTRR
	RTOTDR(F409_7190);
	dtype = Dtype(Current);

	RTLI(4);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLR(3,ur1);
	RTLIU(4);
	RTLU (SK_REF, &Result);
	RTLU (SK_REF, &Current);
	
	RTEAA(l_feature_name, 408, Current, 0, 0, 7013);
	RTSA(dtype);
	RTSC;
	RTME(dtype, 0);
	RTGC;
	RTDBGEAA(408, Current, 7013);
	RTIV(Current, RTAL);
	RTOTP;
	RTHOOK(1);
	RTDBGAL(Current, 0, 0xF8000617, 0,0); /* Result */
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1559,0xFF01,924,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLN(typres0.id);
	}
	tr2 = RTMS32_EX_H("",0,0);
	ur1 = tr2;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6938, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	ti4_2 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7036, dtype))(Current)).it_i4);
	ui4_2 = ti4_2;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTWC(9780, Dtype(tr1)))(tr1, ur1x, ui4_1x, ui4_2x);
	RTNHOOK(1,1);
	Result = (EIF_REFERENCE) RTCCL(tr1);
	RTHOOK(2);
	tr1 = RTMS32_EX_H("0\000\000\000",1,48);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6938, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(3);
	tr1 = RTMS32_EX_H("1\000\000\000",1,49);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6939, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(4);
	tr1 = RTMS32_EX_H("2\000\000\000",1,50);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6940, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(5);
	tr1 = RTMS32_EX_H("3\000\000\000",1,51);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6941, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(6);
	tr1 = RTMS32_EX_H("4\000\000\000",1,52);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6942, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(7);
	tr1 = RTMS32_EX_H("5\000\000\000",1,53);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6943, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(8);
	tr1 = RTMS32_EX_H("6\000\000\000",1,54);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6944, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(9);
	tr1 = RTMS32_EX_H("7\000\000\000",1,55);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6945, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(10);
	tr1 = RTMS32_EX_H("8\000\000\000",1,56);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6946, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(11);
	tr1 = RTMS32_EX_H("9\000\000\000",1,57);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6947, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(12);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\0000\000\000\000",8,625433648);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6948, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(13);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\0001\000\000\000",8,625433649);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6949, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(14);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\0002\000\000\000",8,625433650);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6950, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(15);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\0003\000\000\000",8,625433651);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6951, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(16);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\0004\000\000\000",8,625433652);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6952, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(17);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\0005\000\000\000",8,625433653);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6953, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(18);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\0006\000\000\000",8,625433654);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6954, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(19);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\0007\000\000\000",8,625433655);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6955, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(20);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\0008\000\000\000",8,625433656);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6956, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(21);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\0009\000\000\000",8,625433657);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6957, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(22);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\000+\000\000\000",8,625433643);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6958, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(23);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\000/\000\000\000",8,625433647);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6959, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(24);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\000*\000\000\000",8,625433642);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6960, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(25);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000L\000\000\000o\000\000\000c\000\000\000k\000\000\000",7,2117285739);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6961, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(26);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\000-\000\000\000",8,625433645);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6962, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(27);
	tr1 = RTMS32_EX_H("N\000\000\000u\000\000\000m\000\000\000P\000\000\000a\000\000\000d\000\000\000 \000\000\000.\000\000\000",8,625433646);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6963, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(28);
	tr1 = RTMS32_EX_H("F\000\000\0001\000\000\000",2,17969);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6964, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(29);
	tr1 = RTMS32_EX_H("F\000\000\0002\000\000\000",2,17970);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6965, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(30);
	tr1 = RTMS32_EX_H("F\000\000\0003\000\000\000",2,17971);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6966, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(31);
	tr1 = RTMS32_EX_H("F\000\000\0004\000\000\000",2,17972);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6967, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(32);
	tr1 = RTMS32_EX_H("F\000\000\0005\000\000\000",2,17973);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6968, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(33);
	tr1 = RTMS32_EX_H("F\000\000\0006\000\000\000",2,17974);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6969, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(34);
	tr1 = RTMS32_EX_H("F\000\000\0007\000\000\000",2,17975);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6970, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(35);
	tr1 = RTMS32_EX_H("F\000\000\0008\000\000\000",2,17976);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6971, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(36);
	tr1 = RTMS32_EX_H("F\000\000\0009\000\000\000",2,17977);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6972, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(37);
	tr1 = RTMS32_EX_H("F\000\000\0001\000\000\0000\000\000\000",3,4600112);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6973, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(38);
	tr1 = RTMS32_EX_H("F\000\000\0001\000\000\0001\000\000\000",3,4600113);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6974, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(39);
	tr1 = RTMS32_EX_H("F\000\000\0001\000\000\0002\000\000\000",3,4600114);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6975, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(40);
	tr1 = RTMS32_EX_H("S\000\000\000p\000\000\000a\000\000\000c\000\000\000e\000\000\000",5,1886068069);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6976, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(41);
	tr1 = RTMS32_EX_H("B\000\000\000a\000\000\000c\000\000\000k\000\000\000S\000\000\000p\000\000\000a\000\000\000c\000\000\000e\000\000\000",9,5482341);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6977, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(42);
	tr1 = RTMS32_EX_H("E\000\000\000n\000\000\000t\000\000\000e\000\000\000r\000\000\000",5,1853651826);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6978, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(43);
	tr1 = RTMS32_EX_H("E\000\000\000s\000\000\000c\000\000\000",3,4551523);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6979, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(44);
	tr1 = RTMS32_EX_H("T\000\000\000a\000\000\000b\000\000\000",3,5529954);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6980, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(45);
	tr1 = RTMS32_EX_H("P\000\000\000a\000\000\000u\000\000\000s\000\000\000e\000\000\000",5,1635701605);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6981, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(46);
	tr1 = RTMS32_EX_H("C\000\000\000a\000\000\000p\000\000\000s\000\000\000L\000\000\000o\000\000\000c\000\000\000k\000\000\000",8,948552299);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6982, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(47);
	tr1 = RTMS32_EX_H("S\000\000\000c\000\000\000r\000\000\000o\000\000\000l\000\000\000l\000\000\000L\000\000\000o\000\000\000c\000\000\000k\000\000\000",10,82099819);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6983, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(48);
	tr1 = RTMS32_EX_H(",\000\000\000",1,44);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6984, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(49);
	tr1 = RTMS32_EX_H("=\000\000\000",1,61);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6985, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(50);
	tr1 = RTMS32_EX_H(".\000\000\000",1,46);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6986, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(51);
	tr1 = RTMS32_EX_H(";\000\000\000",1,59);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6987, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(52);
	tr1 = RTMS32_EX_H("[\000\000\000",1,91);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6988, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(53);
	tr1 = RTMS32_EX_H("]\000\000\000",1,93);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6989, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(54);
	tr1 = RTMS32_EX_H("/\000\000\000",1,47);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6990, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(55);
	tr1 = RTMS32_EX_H("\\\000\000\000",1,92);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6991, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(56);
	tr1 = RTMS32_EX_H("\'\000\000\000",1,39);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6992, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(57);
	tr1 = RTMS32_EX_H("`\000\000\000",1,96);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6993, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(58);
	tr1 = RTMS32_EX_H("-\000\000\000",1,45);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6994, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(59);
	tr1 = RTMS32_EX_H("U\000\000\000p\000\000\000",2,21872);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6995, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(60);
	tr1 = RTMS32_EX_H("D\000\000\000o\000\000\000w\000\000\000n\000\000\000",4,1148155758);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6996, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(61);
	tr1 = RTMS32_EX_H("L\000\000\000e\000\000\000f\000\000\000t\000\000\000",4,1281713780);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6997, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(62);
	tr1 = RTMS32_EX_H("R\000\000\000i\000\000\000g\000\000\000h\000\000\000t\000\000\000",5,1769014388);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6998, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(63);
	tr1 = RTMS32_EX_H("P\000\000\000a\000\000\000g\000\000\000e\000\000\000U\000\000\000p\000\000\000",6,1892725616);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6999, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(64);
	tr1 = RTMS32_EX_H("P\000\000\000a\000\000\000g\000\000\000e\000\000\000D\000\000\000o\000\000\000w\000\000\000n\000\000\000",8,799532654);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7000, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(65);
	tr1 = RTMS32_EX_H("H\000\000\000o\000\000\000m\000\000\000e\000\000\000",4,1215262053);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7001, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(66);
	tr1 = RTMS32_EX_H("E\000\000\000n\000\000\000d\000\000\000",3,4550244);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7002, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(67);
	tr1 = RTMS32_EX_H("I\000\000\000n\000\000\000s\000\000\000e\000\000\000r\000\000\000t\000\000\000",6,2080396916);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7003, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(68);
	tr1 = RTMS32_EX_H("D\000\000\000e\000\000\000l\000\000\000",3,4482412);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7004, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(69);
	tr1 = RTMS32_EX_H("a\000\000\000",1,97);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7005, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(70);
	tr1 = RTMS32_EX_H("b\000\000\000",1,98);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7006, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(71);
	tr1 = RTMS32_EX_H("c\000\000\000",1,99);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7007, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(72);
	tr1 = RTMS32_EX_H("d\000\000\000",1,100);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7008, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(73);
	tr1 = RTMS32_EX_H("e\000\000\000",1,101);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7009, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(74);
	tr1 = RTMS32_EX_H("f\000\000\000",1,102);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7010, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(75);
	tr1 = RTMS32_EX_H("g\000\000\000",1,103);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7011, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(76);
	tr1 = RTMS32_EX_H("h\000\000\000",1,104);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7012, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(77);
	tr1 = RTMS32_EX_H("i\000\000\000",1,105);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7013, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(78);
	tr1 = RTMS32_EX_H("j\000\000\000",1,106);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7014, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(79);
	tr1 = RTMS32_EX_H("k\000\000\000",1,107);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7015, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(80);
	tr1 = RTMS32_EX_H("l\000\000\000",1,108);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7016, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(81);
	tr1 = RTMS32_EX_H("m\000\000\000",1,109);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7017, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(82);
	tr1 = RTMS32_EX_H("n\000\000\000",1,110);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7018, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(83);
	tr1 = RTMS32_EX_H("o\000\000\000",1,111);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7019, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(84);
	tr1 = RTMS32_EX_H("p\000\000\000",1,112);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7020, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(85);
	tr1 = RTMS32_EX_H("q\000\000\000",1,113);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7021, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(86);
	tr1 = RTMS32_EX_H("r\000\000\000",1,114);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7022, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(87);
	tr1 = RTMS32_EX_H("s\000\000\000",1,115);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7023, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(88);
	tr1 = RTMS32_EX_H("t\000\000\000",1,116);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7024, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(89);
	tr1 = RTMS32_EX_H("u\000\000\000",1,117);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7025, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(90);
	tr1 = RTMS32_EX_H("v\000\000\000",1,118);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7026, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(91);
	tr1 = RTMS32_EX_H("w\000\000\000",1,119);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7027, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(92);
	tr1 = RTMS32_EX_H("x\000\000\000",1,120);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7028, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(93);
	tr1 = RTMS32_EX_H("y\000\000\000",1,121);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7029, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(94);
	tr1 = RTMS32_EX_H("z\000\000\000",1,122);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7030, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(95);
	tr1 = RTMS32_EX_H("S\000\000\000h\000\000\000i\000\000\000f\000\000\000t\000\000\000",5,1752375412);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7031, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(96);
	tr1 = RTMS32_EX_H("C\000\000\000t\000\000\000r\000\000\000l\000\000\000",4,1131704940);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7032, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(97);
	tr1 = RTMS32_EX_H("A\000\000\000l\000\000\000t\000\000\000",3,4287604);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7033, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(98);
	tr1 = RTMS32_EX_H("L\000\000\000e\000\000\000f\000\000\000t\000\000\000 \000\000\000M\000\000\000e\000\000\000t\000\000\000a\000\000\000",9,1536544353);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7034, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(99);
	tr1 = RTMS32_EX_H("R\000\000\000i\000\000\000g\000\000\000h\000\000\000t\000\000\000 \000\000\000M\000\000\000e\000\000\000t\000\000\000a\000\000\000",10,1169339489);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7035, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTHOOK(100);
	tr1 = RTMS32_EX_H("M\000\000\000e\000\000\000n\000\000\000u\000\000\000",4,1298493045);
	ur1 = tr1;
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7036, dtype))(Current)).it_i4);
	ui4_1 = ti4_1;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_TYPED_VALUE, EIF_TYPED_VALUE)) RTVF(8562, "put", Result))(Result, ur1x, ui4_1x);
	RTVI(Current, RTAL);
	RTRS;
	RTOTE;
	RTHOOK(101);
	RTDBGLE;
	RTMD(0);
	RTLE;
	RTLO(2);
	RTEE;
	{ EIF_TYPED_VALUE r; r.type = SK_REF; r.it_r = Result; return r; }
#undef ur1
#undef ui4_1
#undef ui4_2
#undef Result
}

/* {EV_KEY_CONSTANTS}.key_code_from_key_string */
EIF_TYPED_VALUE F409_7191 (EIF_REFERENCE Current, EIF_TYPED_VALUE arg1x)
{
	GTCX
	char *l_feature_name = "key_code_from_key_string";
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN loc3 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
#define arg1 arg1x.it_r
	EIF_TYPED_VALUE up1x = {{0}, SK_POINTER};
#define up1 up1x.it_p
	EIF_TYPED_VALUE ur1x = {{0}, SK_REF};
#define ur1 ur1x.it_r
	EIF_TYPED_VALUE ui4_1x = {{0}, SK_INT32};
#define ui4_1 ui4_1x.it_i4
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTCDT;
	RTSN;
	RTDA;
	RTLD;
	
	
	RTLI(7);
	RTLR(0,arg1);
	RTLR(1,loc4);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,loc1);
	RTLR(5,Current);
	RTLR(6,ur1);
	RTLIU(7);
	RTLU (SK_INT32, &Result);
	RTLU(SK_REF,&arg1);
	RTLU (SK_REF, &Current);
	RTLU(SK_REF, &loc1);
	RTLU(SK_INT32, &loc2);
	RTLU(SK_BOOL, &loc3);
	RTLU(SK_REF, &loc4);
	
	RTEAA(l_feature_name, 408, Current, 4, 1, 7014);
	RTSA(dtype);
	RTSC;
	RTME(dtype, 0);
	RTGC;
	RTDBGEAA(408, Current, 7014);
	RTCC(arg1, 408, l_feature_name, 1, eif_new_type(911, 0x01), 0x01);
	RTIV(Current, RTAL);
	if ((RTAL & CK_REQUIRE) || RTAC) {
		RTHOOK(1);
		RTCT("key_string_not_void", EX_PRE);
		RTTE((EIF_BOOLEAN)(arg1 != NULL), label_1);
		RTCK;
		RTJB;
label_1:
		RTCF;
	}
body:;
	RTHOOK(2);
	RTDBGAL(Current, 4, 0xF800039C, 0, 0); /* loc4 */
	tr1 = ((up1x = (FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTVF(15086, "as_string_32", arg1))(arg1)), (((up1x.type & SK_HEAD) == SK_REF)? (EIF_REFERENCE) 0: (up1x.it_r = RTBU(up1x))), (up1x.type = SK_POINTER), up1x.it_r);
	RTNHOOK(2,1);
	tr2 = ((up1x = (FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTVF(15088, "as_lower", tr1))(tr1)), (((up1x.type & SK_HEAD) == SK_REF)? (EIF_REFERENCE) 0: (up1x.it_r = RTBU(up1x))), (up1x.type = SK_POINTER), up1x.it_r);
	loc4 = (EIF_REFERENCE) RTCCL(tr2);
	RTHOOK(3);
	RTDBGAL(Current, 1, 0xF8000617, 0, 0); /* loc1 */
	loc1 = ((up1x = (FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7037, dtype))(Current)), (((up1x.type & SK_HEAD) == SK_REF)? (EIF_REFERENCE) 0: (up1x.it_r = RTBU(up1x))), (up1x.type = SK_POINTER), up1x.it_r);
	RTHOOK(4);
	RTDBGAL(Current, 2, 0x10000000, 1, 0); /* loc2 */
	ti4_1 = *(EIF_INTEGER_32 *)(loc1 + RTVA(9786, "lower", loc1));
	loc2 = (EIF_INTEGER_32) ti4_1;
	for (;;) {
		RTHOOK(5);
		tb1 = '\01';
		ti4_1 = *(EIF_INTEGER_32 *)(loc1 + RTVA(9787, "upper", loc1));
		if (!(EIF_BOOLEAN) (loc2 > ti4_1)) {
			tb1 = loc3;
		}
		if (tb1) break;
		RTHOOK(6);
		RTDBGAL(Current, 3, 0x04000000, 1, 0); /* loc3 */
		ui4_1 = loc2;
		tr1 = ((up1x = (FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE, EIF_TYPED_VALUE)) RTVF(8559, "item", loc1))(loc1, ui4_1x)), (((up1x.type & SK_HEAD) == SK_REF)? (EIF_REFERENCE) 0: (up1x.it_r = RTBU(up1x))), (up1x.type = SK_POINTER), up1x.it_r);
		RTNHOOK(6,1);
		tr2 = ((up1x = (FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTVF(15088, "as_lower", tr1))(tr1)), (((up1x.type & SK_HEAD) == SK_REF)? (EIF_REFERENCE) 0: (up1x.it_r = RTBU(up1x))), (up1x.type = SK_POINTER), up1x.it_r);
		RTNHOOK(6,2);
		ur1 = RTCCL(loc4);
		tb2 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE, EIF_TYPED_VALUE)) RTVF(11, "is_equal", tr2))(tr2, ur1x)).it_b);
		loc3 = (EIF_BOOLEAN) tb2;
		RTHOOK(7);
		if (loc3) {
			RTHOOK(8);
			RTDBGAL(Current, 0, 0x10000000, 1,0); /* Result */
			Result = (EIF_INTEGER_32) loc2;
		} else {
			RTHOOK(9);
			RTDBGAL(Current, 2, 0x10000000, 1, 0); /* loc2 */
			loc2++;
		}
	}
	RTVI(Current, RTAL);
	RTRS;
	RTHOOK(10);
	RTDBGLE;
	RTMD(0);
	RTLE;
	RTLO(7);
	RTEE;
	{ EIF_TYPED_VALUE r; r.type = SK_INT32; r.it_i4 = Result; return r; }
#undef up1
#undef ur1
#undef ui4_1
#undef arg1
}

/* {EV_KEY_CONSTANTS}.valid_key_code */
EIF_TYPED_VALUE F409_7192 (EIF_REFERENCE Current, EIF_TYPED_VALUE arg1x)
{
	GTCX
	char *l_feature_name = "valid_key_code";
	RTEX;
#define arg1 arg1x.it_i4
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTCDT;
	RTSN;
	RTDA;
	RTLD;
	
	if ((arg1x.type & SK_HEAD) == SK_REF) arg1x.it_i4 = * (EIF_INTEGER_32 *) arg1x.it_r;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	RTLU (SK_BOOL, &Result);
	RTLU(SK_INT32,&arg1);
	RTLU (SK_REF, &Current);
	
	RTEAA(l_feature_name, 408, Current, 0, 1, 7015);
	RTSA(dtype);
	RTSC;
	RTME(dtype, 0);
	RTGC;
	RTDBGEAA(408, Current, 7015);
	RTIV(Current, RTAL);
	RTHOOK(1);
	RTDBGAL(Current, 0, 0x04000000, 1,0); /* Result */
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(6938, dtype))(Current)).it_i4);
	ti4_2 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(7036, dtype))(Current)).it_i4);
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) ((EIF_BOOLEAN) (arg1 >= ti4_1) && (EIF_BOOLEAN) (arg1 <= ti4_2));
	RTVI(Current, RTAL);
	RTRS;
	RTHOOK(2);
	RTDBGLE;
	RTMD(0);
	RTLE;
	RTLO(3);
	RTEE;
	{ EIF_TYPED_VALUE r; r.type = SK_BOOL; r.it_b = Result; return r; }
#undef arg1
}

void EIF_Minit409 (void)
{
	GTCX
	RTOTS (7190,F409_7190)
}


#ifdef __cplusplus
}
#endif
